Artifact Stores - Create Or Update
Creates or updates a artifact store.
PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.HybridNetwork/publishers/{publisherName}/artifactStores/{artifactStoreName}?api-version=2023-09-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
artifact
|
path | True |
string maxLength: 64pattern: ^[a-zA-Z0-9][a-zA-Z0-9_-]*$ |
The name of the artifact store. |
|
publisher
|
path | True |
string maxLength: 64pattern: ^[a-zA-Z0-9][a-zA-Z0-9_-]*$ |
The name of the publisher. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
The name of the resource group. The name is case insensitive. |
|
subscription
|
path | True |
string minLength: 1 |
The ID of the target subscription. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Request Body
| Name | Required | Type | Description |
|---|---|---|---|
| location | True |
string |
The geo-location where the resource lives |
| properties |
ArtifactStores properties. |
||
| tags |
object |
Resource tags. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Create or update operation has been completed successfully. The operation returns the resulting ArtifactStore sub resource. |
|
| 201 Created |
Create or update operation has been completed successfully. The operation returns the resulting ArtifactStore sub resource. |
|
| Other Status Codes |
Error response describing why the operation failed. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
Create or update an artifact store of publisher resource
Sample request
PUT https://management.azure.com/subscriptions/subid/resourceGroups/rg/providers/Microsoft.HybridNetwork/publishers/TestPublisher/artifactStores/TestArtifactStore?api-version=2023-09-01
{
"location": "eastus",
"properties": {
"storeType": "AzureContainerRegistry",
"replicationStrategy": "SingleReplication",
"managedResourceGroupConfiguration": {
"name": "testRg",
"location": "eastus"
}
}
}
Sample response
{
"name": "TestArtifactStore",
"id": "/subscriptions/subid/providers/microsoft.hybridnetwork/publishers/TestPublisher/artifactStores/TestArtifactStore",
"type": "microsoft.hybridnetwork/publishers/artifactStores",
"location": "eastus",
"properties": {
"storeType": "AzureContainerRegistry",
"replicationStrategy": "SingleReplication",
"storageResourceId": "TestResourceId",
"managedResourceGroupConfiguration": {
"name": "testRg",
"location": "eastus"
}
}
}
{
"name": "TestArtifactStore",
"id": "/subscriptions/subid/providers/microsoft.hybridnetwork/publishers/TestPublisher/artifactStores/TestArtifactStore",
"type": "microsoft.hybridnetwork/publishers/artifactStores",
"location": "eastus",
"properties": {
"storeType": "AzureContainerRegistry",
"replicationStrategy": "SingleReplication",
"storageResourceId": "TestResourceId",
"managedResourceGroupConfiguration": {
"name": "testRg",
"location": "eastus"
}
}
}
Definitions
| Name | Description |
|---|---|
|
Artifact |
The replication strategy. |
|
Artifact |
Artifact store properties. |
|
Artifact |
Artifact store properties. |
|
Artifact |
The artifact store type. |
|
created |
The type of identity that created the resource. |
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
|
Managed |
|
|
Provisioning |
The current provisioning state. |
|
system |
Metadata pertaining to creation and last modification of the resource. |
ArtifactReplicationStrategy
The replication strategy.
| Value | Description |
|---|---|
| Unknown | |
| SingleReplication |
ArtifactStore
Artifact store properties.
| Name | Type | Description |
|---|---|---|
| id |
string |
Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| location |
string |
The geo-location where the resource lives |
| name |
string |
The name of the resource |
| properties |
ArtifactStores properties. |
|
| systemData |
Azure Resource Manager metadata containing createdBy and modifiedBy information. |
|
| tags |
object |
Resource tags. |
| type |
string |
The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts" |
ArtifactStorePropertiesFormat
Artifact store properties.
| Name | Type | Description |
|---|---|---|
| managedResourceGroupConfiguration | ||
| provisioningState |
The provisioning state of the application groups resource. |
|
| replicationStrategy |
The replication strategy. |
|
| storageResourceId |
string |
The created storage resource id |
| storeType |
The artifact store type. |
ArtifactStoreType
The artifact store type.
| Value | Description |
|---|---|
| Unknown | |
| AzureContainerRegistry | |
| AzureStorageAccount |
createdByType
The type of identity that created the resource.
| Value | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
ManagedResourceGroupConfiguration
| Name | Type | Description |
|---|---|---|
| location |
string |
The managed resource group location. |
| name |
string |
The managed resource group name. |
ProvisioningState
The current provisioning state.
| Value | Description |
|---|---|
| Unknown | |
| Succeeded | |
| Accepted | |
| Deleting | |
| Failed | |
| Canceled | |
| Deleted | |
| Converging |
systemData
Metadata pertaining to creation and last modification of the resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
The timestamp of resource creation (UTC). |
| createdBy |
string |
The identity that created the resource. |
| createdByType |
The type of identity that created the resource. |
|
| lastModifiedAt |
string (date-time) |
The timestamp of resource last modification (UTC) |
| lastModifiedBy |
string |
The identity that last modified the resource. |
| lastModifiedByType |
The type of identity that last modified the resource. |